AutoCAD Inventor :: Add Closed Sketch Loops To Existing Feature?
Nov 26, 2012
is there a way to use vb to add closed sketch loops to an existing feature?
I am trying to create a parametric template for a fan guard assembly, complete with drawings.
I am using an arrangement of circles defined using some linear sketch patterns as the cross-section of a revolved feature. Using ilogic/vb, I want to automate the number and spacing of items in the linear pattern, and then update the loops selected for the revolved feature.
I have found code on this forum (courtesy of Curtis Waguespack) that I can use to select all closed loops and create a feature. I can apply this code to create a NEW revolved feature, but I haven't been able to figure out how to use it to UPDATE an existing feature.
I need the feature to UPDATE rather than create new to maintain links in my assemblies and drawings.
I am trying to import a complex curve from autocad lt (in my case an airfoil), to create parts. I have drawn the curve in autocad lt as a polyline. Autocad lt treats the curve as a single object, and seems to understand it as a closed loop.
When I import the curve into Inventor lt, Inventor treats the curve as a series of unconnected line segments. What can I do in either Autocad lt or Inventor lt to get Inventor to treat the curve as a single object, so that I can then extrude it?
I am making some fairly free form sketches using lots of 3-point arcs that ultimately need to be closed loops so that I can extrude them. Although I have always been letting one arc snap to another at the end of the process I seem to have trouble closing the loop. It does not seem very apparent how to find the points that are not properly closed and I wind up struggling with the Close Loop function. Is there an easy way to tell where the problems are in a profile? I have tried showing all constraints, but that doesn't necessarily give me the clues I need.
I've created a shared sketch and have used it with various features. Sometime those features are suppressed. The model works fine but the shared sketch generates a sketch doctor error because the feature that created it has been suppressed. Is there anyway to make the sketch suppressed so it doesn't trigger a sketch doctor error? Inventor 2013
I'm just wondering is there a possibility to select all closed profiles from a sketch to make an extrusion or revolve with a shortkey instead doing that manually with the mouse for each profile? Something like CTRL+A
Which one of these methods insures that there will be no error, or bug on closing the sketch profile in all the future versions of inventor? One is simpler than the other (no line on top of line, no need to make extra construction line). I'm fine either way, i just want to know which one is the SAFEST FOR LONG TERM PART FILE STABILITY.
I have a part.I use some Parameters of this part as linked to other parts.Once I change any parameter used as linked the other parts will follow it automatically.So I have drive and driven parts.
Now for some reason I need to change some geometry in my drive part in the way my drive dimension must be reattached to other geometry points.
I cannot delete and create the new dimension even with the same name since all my driven parts will lose this linked parameter in either way and this parameter becomes static (Reference Parameter).
I wish I can preserve the existing dimension (parameter) and reattach it to other geometry.
ACA2011My dimensions seem to be fickle with regard to snaping. I've got my OSNAPs on, and I can't snap to a structural beam above, nor can I snap to a window sill. I can dim to the mid point of the window sill by using .x & .y filters, and can only snap to the axis line on a beam. Is there a toggle somewhere?
How can I change the termination of an existing hole feature?
If app.ActiveDocument Is PartDocument Then Dim doc as PartDocument doc = app.ActiveDocument Dim hole as HoleFeature hole = doc.ComponentDefinition.Features.HoleFeatures(1) ...End If
I'm a new 2009 Inventor user (use mostly Solidworks for other jobs) and how to make the model update after I modify a feature sketch (e.g. I only add one more circle/hole to a sketch used for a somple extrusion, but the extra hole doesn't appear on the model). Tried all update-related commands but no luck so far. If I delete the feature and recreate it again everything works fine, but I stuff up all other features and mates that use the reference geometry...
It is a simple rectangular plate with 13 holes through on a pitch circle.
I have used a "circle" to construct the "Pitch Circle" and a "line" to construct the top dead centre of the circle.
I have then added a circle to use as a hole feature and used the circular pattern to make the holes equi-spaced around the circle.
This circle is then extruded "Through All".
My question is, How can I eliminate the construction "Circles" and "Lines" from the following code, only allowing sketch entites that are directly associated to an extruded feature to be accepted?
Public Function WriteDxfSketchEntities(Doc As PartDocument, sketch As PlanarSketch) As Boolean Dim partCompDef As PartComponentDefinition
I just want to notice the Autodesk guys that when editing a hole feature in an assembly, then the sketch is hidden so that is not possible to pick more centerpoints. I noticed this when working with a sheet metal part, I don't know if its the same with a regular part.
I need to disable the "Set sketch scale by the first dimension" feature.
The feature is nice under normal circumstances, but in my case i need to insert a dxf sketch and then draw around it in inventor. When i start to dimensioning the sketch then it scales the inserted part.
Now I'm trying to make another part, which will be aluminium plate that needs to have holes in exactly same points as the motor. My assembly containts both that parts.
What I'm trying to do is to reference in sketch a point that comes from different part (motor).
I could do it by hand, make it look that the holes are on top of each other but then there will be an error which doesn't seem professional.
In some tutorial on yt I have only found that using points one can reference the holes more easily, but it didn't show how.
Is it possible to fill an area with hatch patterns in a feature sketch (ipt sketch), not in idw sketch?
I want to show a safety screen (wire mesh) in a 3D model, in order to reduce the file size, I do not want to do solid wire mesh in the model, but the sketch only. I was drawing one by one line and make a hatch cross lines in the sketch, it took me lots of time to draw these lines.
Why the heck does Inventor arbitrarily orient sketches as it sees fit? I often create my first sketch on the right (YZ) plane and Inventor, stupidly turns the sketch where "RIGHT" in the viewcube reads from top to bottom.
I know all the things to do to AFTER this happens, but it shouldn't happen in the first place. If I turn my sketch so that up is up, like it should be, I then have to remember that vertical is horizontal, which is now vertical. I can't change the sketch coordinate system. It's the first sketch and there is nothing to align it to.
How to prevent the above example from occurring in the first place.
This, and the fact that I can't dimension to any existing vertices or edges without projecting them first, really make me hate using Inventor sometimes. To me, these are huge problems, neither of which Solidworks has. At worst, both of these behaviors should be configurable.
I often use feature lines for parking lots and ponds. They're great when they work, but they drive me NUTS when they don't - which is a lot of the time. For parking lots and ponds, my feature lines usually close back on themselves. That's when I have trouble breaking the feature line. When I use BREAKFEATURE, I choose two points and this should, in theory, leave a gap in the feature line between those two points. That's not what happens. I end up with a huge gap between the first point I picked and a vertex point 5 or 6 vertices away. It doesn't matter where I pick the breaking points.
I've also tried TRIMFEATURES. I draw lines across the feature line where I would have chosen the breaking points. But the portion that I want to remove is the portion that always remains. It doesn't matter where I select the feature line to be trimmed (inside or outside of the cutting edges).
I think there may something wrong with the feature line itself. Sometimes, if I erase the original and draw a new one, it will trim just fine. But that's such a headache, and it doesn't always work. If I knew what was causing the feature lines to go squirrely, I would aviod it. Unfortunately, it seems like breathing the wrong way can screw up a feature line.
I am a beginner when a extrude a feature and select a part surface for new sketch now i want is to offset that surface but i can,t there is + sign with mouse icon and something like fully constrained is written in down the window.
In regards to sweeping, what does the title of the post mean (self intersecting paths or loops are invalid for this operation). I have a 3D sketch consisting of 1 straight line, one spline with 4 points dictated by 'points' and an arc. All have tangential constrains to each other and I am looking to sweep a circle along this path to create a bent wire. I don't have anypictures or files as it is a stand alone computer at the moment.
making a component in sw iso. and or inserting a 3d component into the correct view plane. when i insert it it always inserts top view orientation.-ugh is there an insert set up? i tried to rotate into the z axis-not happening. probably 3d 101!
I'm running Map 2012 64 bit on Windows 7. I've connected to an sdf file through FDO. In the sdf file, it has points representing where people live. Some of the records have the person's information, but no point associated with it. Is there a way to add a point to an existing record through FDO? Typically, i'll create a new point, then re-enter all the data i need for that person and then delete the old record.
I have an existing surface with a steep slope and a feature line for the edge of a proposed walkway. I need a buffer of 25m on either side of the walkway but offsetting doesn't take the grade of the slope into account. How do I grade down the hill from the feature line at 25m to match to the existing surface?
How do I duplicate the 2D line work from a part level sketch into a drawing level (overlay) sketch?
I started a simple 2D piping system diagram sketch by opening a new part file and using a sketch to stick draw the system schematic including some annotations. Then I opened a new drawing file and made a base view of the part file to bring a view of the original sketch into the drawing.
I realize now that it would have been much easier to have created the schematic directly in a 2D sketch at the drawing level, which would have made editing the annotations much easier at the drawing level, and there is really no need for the part file to exist. I have no intention of creating a 3D model or "real" part in the .ipt file, was just using it as a jumping off point to sketch.
I was thinking that I could correct my error in judgment by just copying the sketch and pasting it into a new sketch on the drawing, but it doesn't want to work that way. I have tried copying both the whole sketch at the browser level, and the entire sketch contents (all of the lines and annotations) from the opened part sketch, but when I attempt to paste either of those into the drawing, paste does not seem to be an option. I'd rather not have to draw the whole thing again, as in typical fashion, my once simple sketch has grown in proportion and complexity from its simple beginning.